Bug 1449307 - [RFE][nova]: Generic Framework for Securing VNC and SPICE Proxy-To-Compute-Node Connections
Summary: [RFE][nova]: Generic Framework for Securing VNC and SPICE Proxy-To-Compute-No...
Keywords:
Status: CLOSED DUPLICATE of bug 1025429
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: All
OS: Linux
high
low
Target Milestone: ---
: 10.0 (Newton)
Assignee: Eoghan Glynn
QA Contact: Prasanth Anbalagan
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-09 14:55 UTC by Paul Needle
Modified: 2020-06-11 13:47 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1086964
Environment:
Last Closed: 2017-10-06 13:54:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Paul Needle 2017-05-09 14:55:58 UTC
+++ This bug was initially created as a clone of Bug #1086964, so that the feature could be considered for back-port to OSP 10 +++

Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/websocket-proxy-to-host-security.

Description:

Currently, while the noVNC and HTML5 SPICE clients can use TLS-encrypted
WebSockets to communicate with Websockify (and authenticate with Nova console
tokens), the encryption and authentication ends there.  There are neither
encryption nor authentication between Websockify and the hypervisors'
VNC and SPICE servers.

This blueprint would propose introducing a generic framework for supporting
MITM security for Websockify to use between itself and the compute nodes.


Specification URL (additional information):

None

Comment 3 Stephen Finucane 2017-10-06 13:54:43 UTC

*** This bug has been marked as a duplicate of bug 1025429 ***


Note You need to log in before you can comment on or make changes to this bug.